---
title: "Component Name"
id: "component-name"
description: "A short description of the component"
slug: "/component-name"
---

# Component Name

<div className="key-value-table">

|  |  |
| --- | --- |
| **Most common position in a pipeline** |  |
| **Mandatory init variables** |  |
| **Mandatory run variables** |  |
| **Output variables** |  |
| **API reference** |  |
| **GitHub link** |  |
| **Package name** |  |

</div>

## Overview

*What does it do in general? For example,..?*

*How does it work more specifically? Are there any pitfalls to pay attention to?*

*(if applicable) How is it different from this other very similar component? Which one do you choose?*

## Usage

*Any mandatory imports?*

### On its own

*Code snippet on how to run a component*

### In a pipeline

*Code snippet of a component being introduced in a pipeline*

*There can be more than one example. Add examples of pipelines where this component would be most useful, for example RAG, doc retrieval, etc.*
